using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATTemplateType")]
public partial class AttemplateType
{
    [Key]
    public int Id { get; set; }

    [StringLength(255)]
    public string Name { get; set; } = null!;

    [InverseProperty("TemplateType")]
    public virtual ICollection<AtdocumentCabinet> AtdocumentCabinets { get; set; } = new List<AtdocumentCabinet>();

    [InverseProperty("TemplateType")]
    public virtual ICollection<Attemplate> Attemplates { get; set; } = new List<Attemplate>();
}
